schemaVersion: "1.0"
pattern:
  id: "0d4bbba28a4a76094d41df81"
  className: "ch.nevis.admin.v4.plugin.nevisidm.patterns.NevisIDMDatabase"
  name: "IDM_batch_DB"
  label: "IDM"
  properties:
    type: "var://idm_db-database-type"
    hosts: "var://idm_db-database-host"
    database: "var://idm_db-database-name"
    rootCredential: "var://idm_db-root-credential"
    rootCredentialNamespace: "var://idm_db-root-credential-namespace"
    user: "var://idm_db-database-user"
    password: "var://idm_db-database-password"
    encryption: "var://idm_db-tls-encryption"
    trustStore:
    - "pattern://d356ddfbaf34aa51ae1e20e7"
    jdbcDriver: "var://idm_db-database-jdbc-driver"
    oracleVolumeClaimName: "var://idm_db-database-volume-claim"
    databaseManagement: "disabled"
    connectionUrl: "var://idm_db-database-connection-url"
